org.apache.maven.toolchain

## Class RequirementMatcherFactory

- java.lang.Object
- - org.apache.maven.toolchain.RequirementMatcherFactory

    public final class RequirementMatcherFactory
    extends java.lang.Object

Author:
  mkleint

### Method Summary

Methods
`static RequirementMatcher` `createExactMatcher(java.lang.String provideValue)`
`static RequirementMatcher` `createVersionMatcher(java.lang.String provideValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createExactMatcher

    public static RequirementMatcher createExactMatcher(java.lang.String provideValue)

#### createVersionMatcher

    public static RequirementMatcher createVersionMatcher(java.lang.String provideValue)